Skip to main content
GET
/
v1
/
reminders
/
{reminderId}
Get a reminder
curl --request GET \
  --url https://api.folk.app/v1/reminders/{reminderId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "rmd_91118b73-5a75-480b-b8e3-a33671c35cdc",
    "name": "Reminder on John Doe",
    "entity": {
      "id": "per_55175e81-9a52-4ac3-930e-82792c23499b",
      "entityType": "person",
      "fullName": "John Doe"
    },
    "recurrenceRule": "DTSTART;TZID=Europe/Paris:20250717T090000\nRRULE:FREQ=WEEKLY;INTERVAL=1",
    "visibility": "public",
    "assignedUsers": [
      {
        "id": "usr_a45c30d8-19fc-4939-94c7-17dc5e46f476",
        "fullName": "John Doe",
        "email": "john.doe@example.com"
      }
    ],
    "nextTriggerTime": "2025-07-17T09:00:00.000Z",
    "lastTriggerTime": "2025-05-17T09:00:00.000Z",
    "createdBy": {
      "id": "usr_bc984b3f-0386-434d-82d7-a91eb6badd71",
      "fullName": "John Doe",
      "email": "john.doe@example.com"
    },
    "createdAt": "2021-01-01T00:00:00.000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.folk.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication

Path Parameters

reminderId
string
required

The ID of the reminder to retrieve.

Required string length: 40

Response

The retrieved reminder in the workspace.

data
object
required

A reminder linked to an entity.

Example:
{
"id": "rmd_91118b73-5a75-480b-b8e3-a33671c35cdc",
"name": "Reminder on John Doe",
"entity": {
"id": "per_55175e81-9a52-4ac3-930e-82792c23499b",
"entityType": "person",
"fullName": "John Doe"
},
"recurrenceRule": "DTSTART;TZID=Europe/Paris:20250717T090000\nRRULE:FREQ=WEEKLY;INTERVAL=1",
"visibility": "public",
"assignedUsers": [
{
"id": "usr_a45c30d8-19fc-4939-94c7-17dc5e46f476",
"fullName": "John Doe",
"email": "john.doe@example.com"
}
],
"nextTriggerTime": "2025-07-17T09:00:00.000Z",
"lastTriggerTime": "2025-05-17T09:00:00.000Z",
"createdBy": {
"id": "usr_bc984b3f-0386-434d-82d7-a91eb6badd71",
"fullName": "John Doe",
"email": "john.doe@example.com"
},
"createdAt": "2021-01-01T00:00:00.000Z"
}
deprecations
string[]
Example:
["This field is deprecated"]